package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (BdBankaccbas)实体类
 *
 * @author makejava
 * @since 2023-12-30 15:53:06
 */
public class BdBankaccbasEntity extends BaseEntity {

    private Integer accattribute;
    private Integer accclass;
    private String accopendate;
    private String account;
    private String accountcode;
    private String accountname;
    private Integer accountproperty;
    private Integer accstate;
    private Integer acctype;
    private String accxhdate;
    private Integer arapprop;
    private String areacode;
    private String bankarea;
    private String city;
    private String combineaccnum;
    private Double concertedmny;
    private String contactpsn;
    private String corrgeneaccount;
    private String createtime;
    private String creator;
    private String custcode;
    private String def1;
    private String def10;
    private String def11;
    private String def12;
    private String def13;
    private String def14;
    private String def15;
    private String def16;
    private String def17;
    private String def18;
    private String def19;
    private String def2;
    private String def20;
    private String def21;
    private String def22;
    private String def23;
    private String def24;
    private String def25;
    private String def26;
    private String def27;
    private String def28;
    private String def29;
    private String def3;
    private String def30;
    private String def31;
    private String def32;
    private String def33;
    private String def34;
    private String def35;
    private String def36;
    private String def37;
    private String def38;
    private String def39;
    private String def4;
    private String def40;
    private String def41;
    private String def42;
    private String def43;
    private String def44;
    private String def45;
    private String def5;
    private String def6;
    private String def7;
    private String def8;
    private String def9;
    private String defrozendate;
    private Integer dr;
    private String frozendate;
    private Double frozenje;
    private Integer fundform;
    private Integer genebranprop;
    private String groupaccount;
    private String groupid;
    private String isinneracc;
    private String ismargin;
    private String mainaccount;
    private String memo;
    private String modifier;
    private String modifytime;
    private Integer netqueryflag;
    private String orgnumber;
    private String ownercorp;
    private String pkBankaccbas;
    private String pkBankdoc;
    private String pkBanktype;
    private String pkCorp;
    private String pkCurrtype;
    private String pkNetbankinftp;
    private String pkPsnbasdoc;
    private String province;
    private Integer qrybalanceitf;
    private String remcode;
    private String signflag;
    private String tel;
    private String ts;
    private String unitname;


    public Integer getAccattribute() {
        return accattribute;
    }

    public void setAccattribute(Integer accattribute) {
        this.accattribute = accattribute;
    }

    public Integer getAccclass() {
        return accclass;
    }

    public void setAccclass(Integer accclass) {
        this.accclass = accclass;
    }

    public String getAccopendate() {
        return accopendate;
    }

    public void setAccopendate(String accopendate) {
        this.accopendate = accopendate;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getAccountcode() {
        return accountcode;
    }

    public void setAccountcode(String accountcode) {
        this.accountcode = accountcode;
    }

    public String getAccountname() {
        return accountname;
    }

    public void setAccountname(String accountname) {
        this.accountname = accountname;
    }

    public Integer getAccountproperty() {
        return accountproperty;
    }

    public void setAccountproperty(Integer accountproperty) {
        this.accountproperty = accountproperty;
    }

    public Integer getAccstate() {
        return accstate;
    }

    public void setAccstate(Integer accstate) {
        this.accstate = accstate;
    }

    public Integer getAcctype() {
        return acctype;
    }

    public void setAcctype(Integer acctype) {
        this.acctype = acctype;
    }

    public String getAccxhdate() {
        return accxhdate;
    }

    public void setAccxhdate(String accxhdate) {
        this.accxhdate = accxhdate;
    }

    public Integer getArapprop() {
        return arapprop;
    }

    public void setArapprop(Integer arapprop) {
        this.arapprop = arapprop;
    }

    public String getAreacode() {
        return areacode;
    }

    public void setAreacode(String areacode) {
        this.areacode = areacode;
    }

    public String getBankarea() {
        return bankarea;
    }

    public void setBankarea(String bankarea) {
        this.bankarea = bankarea;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCombineaccnum() {
        return combineaccnum;
    }

    public void setCombineaccnum(String combineaccnum) {
        this.combineaccnum = combineaccnum;
    }

    public Double getConcertedmny() {
        return concertedmny;
    }

    public void setConcertedmny(Double concertedmny) {
        this.concertedmny = concertedmny;
    }

    public String getContactpsn() {
        return contactpsn;
    }

    public void setContactpsn(String contactpsn) {
        this.contactpsn = contactpsn;
    }

    public String getCorrgeneaccount() {
        return corrgeneaccount;
    }

    public void setCorrgeneaccount(String corrgeneaccount) {
        this.corrgeneaccount = corrgeneaccount;
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getCustcode() {
        return custcode;
    }

    public void setCustcode(String custcode) {
        this.custcode = custcode;
    }

    public String getDef1() {
        return def1;
    }

    public void setDef1(String def1) {
        this.def1 = def1;
    }

    public String getDef10() {
        return def10;
    }

    public void setDef10(String def10) {
        this.def10 = def10;
    }

    public String getDef11() {
        return def11;
    }

    public void setDef11(String def11) {
        this.def11 = def11;
    }

    public String getDef12() {
        return def12;
    }

    public void setDef12(String def12) {
        this.def12 = def12;
    }

    public String getDef13() {
        return def13;
    }

    public void setDef13(String def13) {
        this.def13 = def13;
    }

    public String getDef14() {
        return def14;
    }

    public void setDef14(String def14) {
        this.def14 = def14;
    }

    public String getDef15() {
        return def15;
    }

    public void setDef15(String def15) {
        this.def15 = def15;
    }

    public String getDef16() {
        return def16;
    }

    public void setDef16(String def16) {
        this.def16 = def16;
    }

    public String getDef17() {
        return def17;
    }

    public void setDef17(String def17) {
        this.def17 = def17;
    }

    public String getDef18() {
        return def18;
    }

    public void setDef18(String def18) {
        this.def18 = def18;
    }

    public String getDef19() {
        return def19;
    }

    public void setDef19(String def19) {
        this.def19 = def19;
    }

    public String getDef2() {
        return def2;
    }

    public void setDef2(String def2) {
        this.def2 = def2;
    }

    public String getDef20() {
        return def20;
    }

    public void setDef20(String def20) {
        this.def20 = def20;
    }

    public String getDef21() {
        return def21;
    }

    public void setDef21(String def21) {
        this.def21 = def21;
    }

    public String getDef22() {
        return def22;
    }

    public void setDef22(String def22) {
        this.def22 = def22;
    }

    public String getDef23() {
        return def23;
    }

    public void setDef23(String def23) {
        this.def23 = def23;
    }

    public String getDef24() {
        return def24;
    }

    public void setDef24(String def24) {
        this.def24 = def24;
    }

    public String getDef25() {
        return def25;
    }

    public void setDef25(String def25) {
        this.def25 = def25;
    }

    public String getDef26() {
        return def26;
    }

    public void setDef26(String def26) {
        this.def26 = def26;
    }

    public String getDef27() {
        return def27;
    }

    public void setDef27(String def27) {
        this.def27 = def27;
    }

    public String getDef28() {
        return def28;
    }

    public void setDef28(String def28) {
        this.def28 = def28;
    }

    public String getDef29() {
        return def29;
    }

    public void setDef29(String def29) {
        this.def29 = def29;
    }

    public String getDef3() {
        return def3;
    }

    public void setDef3(String def3) {
        this.def3 = def3;
    }

    public String getDef30() {
        return def30;
    }

    public void setDef30(String def30) {
        this.def30 = def30;
    }

    public String getDef31() {
        return def31;
    }

    public void setDef31(String def31) {
        this.def31 = def31;
    }

    public String getDef32() {
        return def32;
    }

    public void setDef32(String def32) {
        this.def32 = def32;
    }

    public String getDef33() {
        return def33;
    }

    public void setDef33(String def33) {
        this.def33 = def33;
    }

    public String getDef34() {
        return def34;
    }

    public void setDef34(String def34) {
        this.def34 = def34;
    }

    public String getDef35() {
        return def35;
    }

    public void setDef35(String def35) {
        this.def35 = def35;
    }

    public String getDef36() {
        return def36;
    }

    public void setDef36(String def36) {
        this.def36 = def36;
    }

    public String getDef37() {
        return def37;
    }

    public void setDef37(String def37) {
        this.def37 = def37;
    }

    public String getDef38() {
        return def38;
    }

    public void setDef38(String def38) {
        this.def38 = def38;
    }

    public String getDef39() {
        return def39;
    }

    public void setDef39(String def39) {
        this.def39 = def39;
    }

    public String getDef4() {
        return def4;
    }

    public void setDef4(String def4) {
        this.def4 = def4;
    }

    public String getDef40() {
        return def40;
    }

    public void setDef40(String def40) {
        this.def40 = def40;
    }

    public String getDef41() {
        return def41;
    }

    public void setDef41(String def41) {
        this.def41 = def41;
    }

    public String getDef42() {
        return def42;
    }

    public void setDef42(String def42) {
        this.def42 = def42;
    }

    public String getDef43() {
        return def43;
    }

    public void setDef43(String def43) {
        this.def43 = def43;
    }

    public String getDef44() {
        return def44;
    }

    public void setDef44(String def44) {
        this.def44 = def44;
    }

    public String getDef45() {
        return def45;
    }

    public void setDef45(String def45) {
        this.def45 = def45;
    }

    public String getDef5() {
        return def5;
    }

    public void setDef5(String def5) {
        this.def5 = def5;
    }

    public String getDef6() {
        return def6;
    }

    public void setDef6(String def6) {
        this.def6 = def6;
    }

    public String getDef7() {
        return def7;
    }

    public void setDef7(String def7) {
        this.def7 = def7;
    }

    public String getDef8() {
        return def8;
    }

    public void setDef8(String def8) {
        this.def8 = def8;
    }

    public String getDef9() {
        return def9;
    }

    public void setDef9(String def9) {
        this.def9 = def9;
    }

    public String getDefrozendate() {
        return defrozendate;
    }

    public void setDefrozendate(String defrozendate) {
        this.defrozendate = defrozendate;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public String getFrozendate() {
        return frozendate;
    }

    public void setFrozendate(String frozendate) {
        this.frozendate = frozendate;
    }

    public Double getFrozenje() {
        return frozenje;
    }

    public void setFrozenje(Double frozenje) {
        this.frozenje = frozenje;
    }

    public Integer getFundform() {
        return fundform;
    }

    public void setFundform(Integer fundform) {
        this.fundform = fundform;
    }

    public Integer getGenebranprop() {
        return genebranprop;
    }

    public void setGenebranprop(Integer genebranprop) {
        this.genebranprop = genebranprop;
    }

    public String getGroupaccount() {
        return groupaccount;
    }

    public void setGroupaccount(String groupaccount) {
        this.groupaccount = groupaccount;
    }

    public String getGroupid() {
        return groupid;
    }

    public void setGroupid(String groupid) {
        this.groupid = groupid;
    }

    public String getIsinneracc() {
        return isinneracc;
    }

    public void setIsinneracc(String isinneracc) {
        this.isinneracc = isinneracc;
    }

    public String getIsmargin() {
        return ismargin;
    }

    public void setIsmargin(String ismargin) {
        this.ismargin = ismargin;
    }

    public String getMainaccount() {
        return mainaccount;
    }

    public void setMainaccount(String mainaccount) {
        this.mainaccount = mainaccount;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getModifytime() {
        return modifytime;
    }

    public void setModifytime(String modifytime) {
        this.modifytime = modifytime;
    }

    public Integer getNetqueryflag() {
        return netqueryflag;
    }

    public void setNetqueryflag(Integer netqueryflag) {
        this.netqueryflag = netqueryflag;
    }

    public String getOrgnumber() {
        return orgnumber;
    }

    public void setOrgnumber(String orgnumber) {
        this.orgnumber = orgnumber;
    }

    public String getOwnercorp() {
        return ownercorp;
    }

    public void setOwnercorp(String ownercorp) {
        this.ownercorp = ownercorp;
    }

    public String getPkBankaccbas() {
        return pkBankaccbas;
    }

    public void setPkBankaccbas(String pkBankaccbas) {
        this.pkBankaccbas = pkBankaccbas;
    }

    public String getPkBankdoc() {
        return pkBankdoc;
    }

    public void setPkBankdoc(String pkBankdoc) {
        this.pkBankdoc = pkBankdoc;
    }

    public String getPkBanktype() {
        return pkBanktype;
    }

    public void setPkBanktype(String pkBanktype) {
        this.pkBanktype = pkBanktype;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkCurrtype() {
        return pkCurrtype;
    }

    public void setPkCurrtype(String pkCurrtype) {
        this.pkCurrtype = pkCurrtype;
    }

    public String getPkNetbankinftp() {
        return pkNetbankinftp;
    }

    public void setPkNetbankinftp(String pkNetbankinftp) {
        this.pkNetbankinftp = pkNetbankinftp;
    }

    public String getPkPsnbasdoc() {
        return pkPsnbasdoc;
    }

    public void setPkPsnbasdoc(String pkPsnbasdoc) {
        this.pkPsnbasdoc = pkPsnbasdoc;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Integer getQrybalanceitf() {
        return qrybalanceitf;
    }

    public void setQrybalanceitf(Integer qrybalanceitf) {
        this.qrybalanceitf = qrybalanceitf;
    }

    public String getRemcode() {
        return remcode;
    }

    public void setRemcode(String remcode) {
        this.remcode = remcode;
    }

    public String getSignflag() {
        return signflag;
    }

    public void setSignflag(String signflag) {
        this.signflag = signflag;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getUnitname() {
        return unitname;
    }

    public void setUnitname(String unitname) {
        this.unitname = unitname;
    }

}

